repo/gentoo:master commit in: app-doc/elisp-manual/

Ulrich Müller <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786261269.e7c82b15a218894c415f33c2bdb5024abbc994fc.ulm@gentoo>
commit:     e7c82b15a218894c415f33c2bdb5024abbc994fc
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  9 07:41:09 2026 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 07:41:09 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7c82b15

app-doc/elisp-manual: add 30.2

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 app-doc/elisp-manual/Manifest                 |  2 ++
 app-doc/elisp-manual/elisp-manual-30.2.ebuild | 29 +++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/app-doc/elisp-manual/Manifest b/app-doc/elisp-manual/Manifest
index ab248f9a136d..3be8b2ff80dd 100644
--- a/app-doc/elisp-manual/Manifest
+++ b/app-doc/elisp-manual/Manifest
@@ -15,3 +15,5 @@ DIST elisp-manual-26.3.tar.xz 872288 BLAKE2B b7860ea1b7745f28cd3b391d03109239c09
 DIST elisp-manual-27.2.tar.xz 911212 BLAKE2B 97e6ebe6f54d7c70512fac2f8d5ca2a1f9e13e69683c48eb1a2a1023541d3410e319f11f5007f45f42f3e7f5bc3fd16b10bc3db86d48f582afc766f3e2d5ba2a SHA512 96d2671acd96df9fcdf371058708b92af0ee26889912134aeb90de28dc55b11889cf656eeea8ca3d214165f3b90db68ce867865ce32dfe255b52fba8a09ce2f5
 DIST elisp-manual-28.2.tar.xz 938940 BLAKE2B 3a17de66e05d6d981c202a061399937182dfac5c198f50df0c6af91db9aebee170df90d278659677b138d2f65eca7ac423c39e4d8b775faac8fd4a0922ed9ca8 SHA512 13c3c316413a4d6041b7d9b01f83017fd735b7b5eb0b9d1c6e263b836cc58c98383f45f2b3bd8e17f25f89faf8056d75ea0069533d72f08e0c4fb1558cfc6d76
 DIST elisp-manual-29.4.tar.xz 1005268 BLAKE2B 3604e82e1e589bd4d2a54d8a7b0f7d33afd00c5d08710eedc18178fcd949066f5f93e0fa9cfc24090ca78aa8a366ade8e55c1f8e20131d1fa3827ee63b44f2b4 SHA512 d15553f79d2abcd9aaef9e5fdbd935f6040c4ebfbfd7d73f8fa1d3633b4aff75b39060f6dc1c40d02505f883a1a329d10e59394ab90795a51f4b90da8c182c23
+DIST elisp-manual-30.2-patches-1.tar.xz 2132 BLAKE2B 331d1d9226a38dd9ac8e052f7bc7a595dd8502db03d96c8d7fd4c2d09c2719fdc8f4708062403edab26843a0a796db5c838102625eb37e1731105229482d188b SHA512 b389814dcf21f2c6cb6d4914634d9df9a7b2926c7c92d9ab892b39e58e17f8e079e2b2e1d33bffe10091661f0f013922a2fa53e4155194a5ffb71b9a58b076e7
+DIST elisp-manual-30.2.tar.xz 1343736 BLAKE2B 19c6b7dda1501f2a9508b52c84907be674ba7b5a14e20aaf9ead75df5b69cf18d3a38c0502cc3fb49cd857bf4ef701663ea3040b7945e054dceb2f106b20861c SHA512 2f8d3a04dd829e5433692bd2dcf209fc256ae43f8e35256b2cde0761d4d3e28c630a3ceaa5b264824c79f25411a71f3115cfe80aef01aca5653a9b3e2a90a762

diff --git a/app-doc/elisp-manual/elisp-manual-30.2.ebuild b/app-doc/elisp-manual/elisp-manual-30.2.ebuild
new file mode 100644
index 000000000000..a5cda9bc2e79
--- /dev/null
+++ b/app-doc/elisp-manual/elisp-manual-30.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+DESCRIPTION="The GNU Emacs Lisp Reference Manual"
+HOMEPAGE="https://www.gnu.org/software/emacs/manual/"
+# taken from doc/lispref/ (and some files from doc/emacs/) of emacs-${PV}
+SRC_URI="https://distfiles.gentoo.org/pub/proj/emacs/${P}.tar.xz
+	https://distfiles.gentoo.org/pub/proj/emacs/${P}-patches-1.tar.xz"
+
+S="${WORKDIR}/lispref"
+
+LICENSE="FDL-1.3+"
+SLOT="${PV%%.*}"
+KEYWORDS="amd64 ppc ~riscv x86"
+
+BDEPEND="sys-apps/texinfo"
+
+PATCHES=("${WORKDIR}/patch")
+
+src_compile() {
+	makeinfo --no-split -I "${WORKDIR}"/emacs elisp.texi || die
+}
+
+src_install() {
+	doinfo elisp${SLOT}.info
+	dodoc README
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.